<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('customers', function (Blueprint $table) {
            $table->string('second_name')->nullable()->after('first_name');
            $table->string('second_lastname')->nullable()->after('last_name');
            $table->string('country', 100)->nullable()->after('city');
            $table->string('blood_type', 10)->nullable()->after('country');
            $table->string('insurance_company', 150)->nullable()->after('blood_type');
        });
    }

    public function down(): void
    {
        Schema::table('customers', function (Blueprint $table) {
            $table->dropColumn(['second_name', 'second_lastname', 'country', 'blood_type', 'insurance_company']);
        });
    }
};
